# Intel® Enhanced Privacy ID SDK: CommitValues Struct Reference

CommitValues Struct Reference
epid » common

Storage for values to create commitment in Sign and Verify algorithms. More...

`#include <epid/common/commitment.h>`

## Data Fields

BigNumStr | p
| Intel(R) EPID2.0 parameter p.
G1ElemStr | g1
| Intel(R) EPID2.0 parameter g1.
G2ElemStr | g2
| Intel(R) EPID2.0 parameter g2.
G1ElemStr | h1
| Group public key value h1.
G1ElemStr | h2
| Group public key value h2.
G2ElemStr | w
| Group public key value w.
G1ElemStr | B
| Variable B computed in algorithm.
G1ElemStr | K
| Variable K computed in algorithm.
G1ElemStr | T
| Variable T computed in algorithm.
G1ElemStr | R1
| Variable R1 computed in algorithm.
Fq12ElemStr | R2
| Variable R2 computed in algorithm.

## Detailed Description

Storage for values to create commitment in Sign and Verify algorithms.

The documentation for this struct was generated from the following file:

- epid/common/commitment.h